### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-menu/ecl-menu-mega/ecl-menu-mega-item.component.ts`

### Extends

`ECLBaseDirective`

### Implements

`EclMenuItem`

### Metadata

selector | `ecl-menu-mega-item`
styles | `:host { display: list-item; }`
templateUrl | `./ecl-menu-mega-item.component.html`

### Index

###### Properties
children cmpClass hasChildren isExpanded
###### Methods
onHostClick onItemClick getCssClasses
###### Inputs
href id isCurrent label queryParams routerLink class e2eAttr
###### Outputs
menuItemSelect
###### HostBindings
class.ecl-menu__subitem
###### HostListeners
click

### Inputs

href
Type : `string`
Default value : `''`

id
Type : `string`

isCurrent
Type : `boolean | any`

label
Type : `string`

queryParams
Type : `any`
Default value : `null`

routerLink
Type : `any`
Default value : `null`

class
Type : `string`

e2eAttr
Type : `any`

### Outputs

menuItemSelect
Type : `EventEmitter`

### HostBindings

class.ecl-menu__subitem
Type : `boolean`
Default value : `true`

### HostListeners

click
Arguments : `'$event'`
`click(evt: MouseEvent)`

### Methods

onHostClick
`onHostClick(evt: MouseEvent)`
Decorators : `@HostListener('click', ['$event'])`
Parameters :
Name | Type | Optional
evt | `MouseEvent` | No
Returns : `void`

onItemClick
`onItemClick(evt: MouseEvent)`
Parameters :
Name | Type | Optional
evt | `MouseEvent` | No
Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

children
Type : `Array<EclMenuItem>`
Default value : `[]`

cmpClass
Type : `boolean`
Default value : `true`
Decorators : `@HostBinding('class.ecl-menu__subitem')`

hasChildren
Type : `boolean`
Default value : `false`

isExpanded
Type : `boolean`
Default value : `true`

# results matching ""

# No results matching ""